# \compute

Compute Class of the back-end application

Management of Servers

## Summary

Methods
Properties
Constants
__construct()
action()
listServers()
listFlavors()
listImages()
getServer()
getFlavor()
getImage()
createServer()
updateServer()
deleteServer()
changePassword()
reboot()
rebuild()
resize()
confirmResize()
revertResize()
listAddresses()
No public properties found
No constants found
No protected methods found
$app
$libClass
N/A
No private methods found
No private properties found
N/A

File
  core/Compute.php
Package
  Default
Class hierarchy
  \compute
Implements
  \Core

## Tags

None found

## Properties

### $app

    $app : \App

#### Type

\App — protected, contains the main app object

#

## Tags

None found

### $libClass

    $libClass : \OpenStack\Compute

#### Type

\OpenStack\Compute — protected, contains the library Compute object

#

## Tags

None found

## Methods

### __construct()

    __construct(  $app) : \compute

Compute constructor

#### Parameters

| $app |

#### Returns

\compute —

Object

#

## Tags

None found

### action()

    action(String  $action) : void

Execute an action

#### Parameters

String | $action | name of another function of this class

#

## Tags

None found

### listServers()

    listServers() : void

List servers.

#

## Tags

None found

### listFlavors()

    listFlavors() : void

List flavors.

#

## Tags

None found

### listImages()

    listImages() : void

List images.

#

## Tags

None found

### getServer()

    getServer() : void

Get server details.

#

## Tags

None found

### getFlavor()

    getFlavor() : void

Get flavor details.

#

## Tags

None found

### getImage()

    getImage() : array

Get image details.

#### Returns

array

#

## Tags

None found

### createServer()

    createServer() : void

Create server.

#

## Tags

None found

### updateServer()

    updateServer() : void

update a server

#

## Tags

None found

### deleteServer()

    deleteServer() : void

Delete a server

#

## Tags

None found

### changePassword()

    changePassword() : void

Change the password of a server

#

## Tags

None found

### reboot()

    reboot() : void

Reboot a server

#

## Tags

None found

### rebuild()

    rebuild() : void

Rebuild a server

#

## Tags

None found

### resize()

    resize() : void

Resize a server

A call to this method has to be followed by either confirmResize or revertResize

#

## Tags

None found

### confirmResize()

    confirmResize() : void

Confirm resize operation on a server

#

## Tags

None found

### revertResize()

    revertResize() : void

Revert resize operation on a server

#

## Tags

None found

### listAddresses()

    listAddresses() : void

List private and public addresses of a server

#

## Tags

None found

### Compute.php